.\"     $NetBSD: ie.4,v 1.1 2004/03/31 07:20:49 mrg Exp $
.\"
.\" Copyright (c) 1988 John E. Stone <j.stone@acm.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" from: OpenBSD: ie.4,v 1.8 2003/03/10 11:35:06 jmc Exp
.\"
.Dd March 31, 2004
.Dt IE 4 sparc
.Os
.Sh NAME
.Nm ie
.Nd SPARC Intel 82586 ethernet interface
.Sh SYNOPSIS
.Cd "ie0 at obio0 addr 0xf6000000 level 6          " Pq "sun4/200 on-board"
.Cd "ie0 at obio0 addr 0x06000000 level 6          " Pq "sun4/100 on-board"
.Cd "ie1 at vmes0 addr 0xffe88000 level 5 vect 0x75" Pq "VME"
.Cd "ie2 at vmes0 addr 0xff31ff02 level 5 vect 0x76" Pq "VME"
.Cd "ie3 at vmes0 addr 0xff35ff02 level 5 vect 0x77" Pq "VME"
.Cd "ie4 at vmes0 addr 0xff2dff02 level 5 vect 0x7c" Pq "VME"
.Sh DESCRIPTION
The
.Nm
interface provides access to the 10 Mb/s Ethernet network via the
.Tn Intel
82586
Ethernet chip set.
The
.Nm
is found as an on-board interface on Sun 4/100 and 4/200 workstations.
The
.Nm
also exists as a VME card.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ifconfig 8
